[SciPy-user] ipython install: egg not python 2.4 compatible

joep josef.pktd@gmail....
Sun Sep 14 08:52:27 CDT 2008


Sorry for wrong group: I'm not subscribed to ipython-user:

ipython-0.9-py2.4.egg uses features from python 2.5:
error messages with easy_install::

C:\Programs\Python24\Scripts\easy_install-script.py -U C:\Josef\work-
oth\sort\pypi\ipython-0.9-py2.4.egg
Processing ipython-0.9-py2.4.egg
creating c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
Extracting ipython-0.9-py2.4.egg to c:\programs\python24\lib\site-
packages
  File "c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
\IPython\con
fig\config.py", line 49
    with raw(self):
           ^
SyntaxError: invalid syntax
  File "c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
\IPython\fro
ntend\linefrontendbase.py", line 192
    finally:
          ^
SyntaxError: invalid syntax
  File "c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
\IPython\fro
ntend\prefilterfrontend.py", line 207
    finally:
          ^
SyntaxError: invalid syntax
SyntaxError: ('future feature with_statement is not defined',)
  File "c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
\IPython\ker
nel\tests\test_contexts.py", line 28
    with parallel as pr:
                ^
SyntaxError: invalid syntax
  File "c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
\share\doc\i
python\examples\kernel\nwmerge.py", line 48
    toadd = (key(item), i, item, itr) if key else (item, i, itr)
                                       ^
SyntaxError: invalid syntax
Adding ipython 0.9 to easy-install.pth file
Installing iptest-script.py script to C:\Programs\Python24\Scripts
Installing iptest.exe script to C:\Programs\Python24\Scripts
Installing ipythonx-script.py script to C:\Programs\Python24\Scripts
Installing ipythonx.exe script to C:\Programs\Python24\Scripts
Installing ipcluster-script.py script to C:\Programs\Python24\Scripts
Installing ipcluster.exe script to C:\Programs\Python24\Scripts
Installing ipython-script.py script to C:\Programs\Python24\Scripts
Installing ipython.exe script to C:\Programs\Python24\Scripts
Installing pycolor-script.py script to C:\Programs\Python24\Scripts
Installing pycolor.exe script to C:\Programs\Python24\Scripts
Installing ipcontroller-script.py script to C:\Programs
\Python24\Scripts
Installing ipcontroller.exe script to C:\Programs\Python24\Scripts
Installing ipengine-script.py script to C:\Programs\Python24\Scripts
Installing ipengine.exe script to C:\Programs\Python24\Scripts

Installed c:\programs\python24\lib\site-packages\ipython-0.9-py2.4.egg
Processing dependencies for ipython==0.9
Finished processing dependencies for ipython==0.9


More information about the SciPy-user mailing list